1. Download our Official Android App: Forums for Android!
  2. Download the #1 Android News App:   EarlyBird - News for Android
    Google updates the Google App in the Play Store, now requires Android version 2.2 to 3.2
    Bad reviews for the Google App are now coming in due to the latest update it received.

    It seems like was a typo or a misclick, because the Android requirement for the Google App is now set to version 2.2 to 3.2.
     

Share This Page

Loading...